<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * English strings for Amanote filter.
 *
 * @package     filter_amanote
 * @copyright   2020 Amaplex Software
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['filtername'] = 'Amanote';

// Settings.
$string['pluginadministration'] = 'Amanote module administration';

$string['openingmode'] = 'Opening mode';
$string['openingmode_help'] = 'Select the method to open a resource with Amanote.';
$string['openingmode_fileclick'] = 'Click on the resource (best user experience)';
$string['openingmode_logonexttofile'] = 'Amanote logo next to resources';
$string['openingmode_iconnexttofile'] = 'Small icon next to resources';

$string['target'] = 'Target';
$string['target_help'] = 'Select the location where the user will be redirected to annotate the resource.';
$string['target_inamanote'] = 'Amanote site (best user experience)';
$string['target_inmoodlefullscreen'] = 'Moodle in full screen';
$string['target_inmoodle'] = 'Embedded in Moodle';

$string['preventdownload'] = 'Prevent download';
$string['preventdownload_help'] = 'When enabled, this option prevents users from downloading the original course material (i.e. the teacher\'s PDF file).';

$string['saveinprivate'] = 'Save notes in private files';
$string['saveinprivate_help'] = 'When enabled, it saves annotated files in the user\'s private files on Moodle rather than on the Amanote servers.';

$string['key'] = 'Activation key';
$string['key_help'] = 'This key is required for advanced features such as Podcast Creator and for anonymous mode.';

$string['anonymous'] = 'Anonymous';
$string['anonymous_help'] = 'With this option, users are anonymous in Amanote and no authentication is required. However, the collaboration and podcast features will no longer be available. Finally, to activate this feature you must enable the saving in the private files and add an activation key.';

$string['worksheet'] = 'Send to teacher';
$string['worksheet_help'] = 'This option allows learners to send their notes or assignments to the teacher. The teacher can then correct the notes and send them back to the learner.';

$string['importantinformationheading'] = 'Important installation information';
$string['importantinformationdescription'] = 'In order for the module to work properly, please check that the following requirements are met on your Moodle site:

1. Amanote filter is enabled (Site administration > Plugins > Filters > Manage filters)

2. Web services are enabled (Site administration > Advanced feature)

3. *Moodle mobile web service* is enabled (Site administration > Plugins > Web services > External services)

4. REST protocol is activated (Site administration > Plugins > Web services > Manage protocols)

5. Capability *webservice/rest:use* is allowed for *authenticated users* (Site administration > Users > Permissions > Define Roles > Authenticated Users > Manage roles)';

$string['messageprovider:submission'] = 'Submission of a student\'s notes or work';

// Core.
$string['pluginname'] = 'Amanote';
$string['modaldescription'] = 'You can take clear and structured notes directly on your course materials by clicking on the button below.';
$string['annotateresource'] = 'Annotate';
$string['viewresource'] = 'View here';
$string['downloadnotes'] = 'Download annotated file';
$string['openanalytics'] = 'See learning analytics';
$string['openpodcast'] = 'Add oral explanations';
$string['openstudentsworks'] = 'Open student works';
$string['teacher'] = 'Teacher';
$string['deletefilewarning'] = 'Please note, if you delete this resource, any notes associated with it will no longer be accessible by students. If your intention is to update the resource, consider editing it instead of deleting it. This will preserve student notes.';
$string['seeguide'] = 'See how in our guide';
$string['submissionnotification'] = '{$a} has submitted a work';
$string['stopmodal'] = 'Stop showing this message';

// Privacy.
$string['privacy:metadata'] = 'In order to integrate with Amanote, some user data need to be sent to the Amanote client application (remote system).';
$string['privacy:metadata:userid'] = 'The userid is sent from Moodle to Amanote in order to speed up the authentication process.';
$string['privacy:metadata:fullname'] = 'The user\'s full name is sent to the remote system to allow a better user experience.';
$string['privacy:metadata:email'] = 'The user\'s email is sent to the remote system to allow a better user experience (note sharing, etc.).';
$string['privacy:metadata:access_token'] = 'The user\'s access token is required to save the notes in the Moodle\'s private files space.';
$string['privacy:metadata:access_token_expiration'] = 'The access token\'s expiration is sent to prevent the user to use the app with an expired token.';
$string['privacy:metadata:subsystem:corefiles'] = 'Files (PDF, AMA) are stored using Moodle\'s file system.';
